資源
導出審計日誌(CSV)
以流式 CSV 文件的形式下載審計日誌。
GET
/
api
/
v1
/
audit
/
export
導出審計日誌(CSV)
curl --request GET \
--url https://api.example.com/api/v1/audit/exportimport requests
url = "https://api.example.com/api/v1/audit/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/audit/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/audit/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/audit/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/audit/export")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/audit/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body以 CSV 附件形式流式返回匹配的審計條目。如果未指定
orgId,導出範圍將限定為你自己的條目。
身份驗證
需要具備billing 權限範圍的 API 密鑰。按組織導出時,還需要該組織的 View audit log 權限。
查詢參數
string
導出該組織的條目,而非你的個人條目。
string
按單個操作進行篩選(例如
completion.created)。string
ISO 時間戳下限(含邊界值)。
string
ISO 時間戳上限(含邊界值)。
響應
Content-Type: text/csv 附件。列包括:
timestamp,action,entity_type,entity_id,model_id,ip_address,user_agent,route,input_summary,output_summary
示例
curl
curl -L "https://www.hitheo.ai/api/v1/audit/export?from=2026-05-01&to=2026-06-01" \
-H "Authorization: Bearer $THEO_API_KEY" \
-o theo-audit-log.csv
這個頁面有幫助嗎?
導出審計日誌(CSV)
curl --request GET \
--url https://api.example.com/api/v1/audit/exportimport requests
url = "https://api.example.com/api/v1/audit/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/audit/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/audit/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/audit/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/audit/export")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/audit/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body